package com.apiguard3.internal;

import com.bytedance.covode.number.Covode;
import java.util.Random;

public final class ce implements de {
    public static int AGRequest = 0;
    public static int getHeaders;
    public static Random getMethod = new Random();
    public rm getBody = new am();
    public final byte[] getUrl;

    static {
        Covode.recordClassIndex(2439);
        getHeaders = 1;
        int i = AGRequest + 67;
        getHeaders = i % 128;
        int i2 = i % 2;
    }

    public ce() {
        byte[] bArr = new byte[32];
        this.getUrl = bArr;
        getMethod.nextBytes(bArr);
    }

    public final byte[] AGRequest(byte[] bArr) {
        int i = getHeaders + 65;
        AGRequest = i % 128;
        int i2 = i % 2;
        byte[] headers = this.getBody.getHeaders(bArr, this.getUrl);
        int i3 = getHeaders + 49;
        AGRequest = i3 % 128;
        int i4 = i3 % 2;
        return headers;
    }

    public final byte[] getHeaders(byte[] bArr) {
        char c;
        char c2;
        int i = getHeaders + 65;
        AGRequest = i % 128;
        if (i % 2 == 0) {
            c = 4;
        } else {
            c = '.';
        }
        if (c != '.') {
            byte[] AGRequest2 = this.getBody.AGRequest(bArr, this.getUrl);
            int i2 = getHeaders + 11;
            AGRequest = i2 % 128;
            if (i2 % 2 == 0) {
                c2 = '5';
            } else {
                c2 = 24;
            }
            if (c2 == '5') {
                return AGRequest2;
            }
            throw new NullPointerException("hashCode");
        }
        byte[] AGRequest3 = this.getBody.AGRequest(bArr, this.getUrl);
        throw new NullPointerException("hashCode");
    }
}
